<?php
/**
 * Displaying home page.
 *
 * This template display post by default.
 * @package Multipurpose Corporate
 */

get_header(); ?>

<?php do_action( 'multipurpose_corporate_index_header' ); ?>

<div class="post-wrapper">
  <main id="main" role="main" class="content-with-sidebar">
    <div class="container">
      <?php
        $multipurpose_corporate_layout = get_theme_mod( 'multipurpose_corporate_theme_options','Right Sidebar');
        if($multipurpose_corporate_layout == 'One Column'){?>
          <div id="firstbox">
            <?php if ( have_posts() ) :
              /* Start the Loop */
              while ( have_posts() ) : the_post();
                get_template_part( 'template-parts/post/content',get_post_format() ); 
              endwhile;
              else :
                get_template_part( 'no-results' ); 
              endif; 
            ?>
            <div class="navigation">
              <?php
                // Previous/next page navigation.
                the_posts_pagination( array(
                  'prev_text'          => __( 'Previous page', 'multipurpose-corporate' ),
                  'next_text'          => __( 'Next page', 'multipurpose-corporate' ),
                  'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'multipurpose-corporate' ) . ' </span>',
                ) );
              ?>
              <div class="clearfix"></div>
            </div>
          </div>
          <div class="clearfix"></div>
        <?php }else if($multipurpose_corporate_layout == 'Three Columns'){?>
          <div class="row">
            <div id="sidebar" class="col-lg-3 col-md-3"><?php dynamic_sidebar('sidebar-2'); ?></div>
            <div id="firstbox" class="col-lg-6 col-md-6">
              <?php if ( have_posts() ) :
                /* Start the Loop */
                while ( have_posts() ) : the_post();
                  get_template_part( 'template-parts/post/content',get_post_format() ); 
                endwhile;
                else :
                  get_template_part( 'no-results' ); 
                endif; 
              ?>
              <div class="navigation">
                <?php
                  // Previous/next page navigation.
                  the_posts_pagination( array(
                    'prev_text'          => __( 'Previous page', 'multipurpose-corporate' ),
                    'next_text'          => __( 'Next page', 'multipurpose-corporate' ),
                    'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'multipurpose-corporate' ) . ' </span>',
                  ) );
                ?>
                  <div class="clearfix"></div>
              </div>
            </div>
            <div id="sidebar" class="col-lg-3 col-md-3"><?php dynamic_sidebar('sidebar-2'); ?></div>
          </div>
        <?php }else if($multipurpose_corporate_layout == 'Four Columns'){?>
          <div class="row">
            <div id="sidebar" class="col-lg-3 col-md-3"><?php dynamic_sidebar('sidebar-2'); ?></div>
            <div id="firstbox" class="col-lg-3 col-md-3">
              <?php if ( have_posts() ) :
                /* Start the Loop */
                while ( have_posts() ) : the_post();
                  get_template_part( 'template-parts/post/content',get_post_format() ); 
                endwhile;
                else :
                  get_template_part( 'no-results' ); 
                endif; 
              ?>
              <div class="navigation">
                <?php
                  // Previous/next page navigation.
                  the_posts_pagination( array(
                    'prev_text'          => __( 'Previous page', 'multipurpose-corporate' ),
                    'next_text'          => __( 'Next page', 'multipurpose-corporate' ),
                    'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'multipurpose-corporate' ) . ' </span>',
                  ) );
                ?>
                <div class="clearfix"></div>
              </div>
            </div>
            <div id="sidebar" class="col-lg-3 col-md-3"><?php dynamic_sidebar('sidebar-2'); ?></div>
            <div id="sidebar" class="col-lg-3 col-md-3"><?php dynamic_sidebar('sidebar-3'); ?></div>
          </div>
        <?php }else if($multipurpose_corporate_layout == 'Right Sidebar'){?>
          <div class="row">
            <div id="firstbox" class="col-lg-8 col-md-8">
              <?php if ( have_posts() ) :
                /* Start the Loop */
                while ( have_posts() ) : the_post();
                  get_template_part( 'template-parts/post/content',get_post_format() ); 
                endwhile;
                else :
                  get_template_part( 'no-results' ); 
                endif; 
              ?>
              <div class="navigation">
                <?php
                  // Previous/next page navigation.
                  the_posts_pagination( array(
                    'prev_text'          => __( 'Previous page', 'multipurpose-corporate' ),
                    'next_text'          => __( 'Next page', 'multipurpose-corporate' ),
                    'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'multipurpose-corporate' ) . ' </span>',
                  ) );
                ?>
                  <div class="clearfix"></div>
              </div>
            </div>
            <div class="col-lg-4 col-md-4"><?php get_sidebar(); ?></div>
          </div>
        <?php }else if($multipurpose_corporate_layout == 'Left Sidebar'){?>
          <div class="row">
            <div class="col-lg-4 col-md-4"><?php get_sidebar(); ?></div>
            <div id="firstbox" class="col-lg-8 col-md-8">
              <?php if ( have_posts() ) :
                /* Start the Loop */
                while ( have_posts() ) : the_post();
                  get_template_part( 'template-parts/post/content',get_post_format() ); 
                endwhile;
                else :
                  get_template_part( 'no-results' ); 
                endif; 
              ?>
              <div class="navigation">
                <?php
                  // Previous/next page navigation.
                  the_posts_pagination( array(
                    'prev_text'          => __( 'Previous page', 'multipurpose-corporate' ),
                    'next_text'          => __( 'Next page', 'multipurpose-corporate' ),
                    'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'multipurpose-corporate' ) . ' </span>',
                  ) );
                ?>
                  <div class="clearfix"></div>
              </div>
            </div>
          </div>
        <?php }else if($multipurpose_corporate_layout == 'Grid Layout'){?>
          <div class="row">
            <div id="firstbox">
              <?php if ( have_posts() ) :
                /* Start the Loop */
                while ( have_posts() ) : the_post();
                  get_template_part( 'template-parts/post/grid-layout' ); 
                endwhile;
                else :
                  get_template_part( 'no-results' ); 
                endif; 
              ?>
              <div class="navigation">
                <?php
                  // Previous/next page navigation.
                  the_posts_pagination( array(
                    'prev_text'          => __( 'Previous page', 'multipurpose-corporate' ),
                    'next_text'          => __( 'Next page', 'multipurpose-corporate' ),
                    'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'multipurpose-corporate' ) . ' </span>',
                  ) );
                ?>
                <div class="clearfix"></div>
              </div>
            </div>
          </div>
        <?php } else { ?>
          <div class="row">
            <div id="firstbox" class="col-lg-8 col-md-8">
              <?php if ( have_posts() ) :
                /* Start the Loop */
                while ( have_posts() ) : the_post();
                  get_template_part( 'template-parts/post/content',get_post_format() ); 
                endwhile;
                else :
                  get_template_part( 'no-results' );
                endif; 
              ?>
              <div class="navigation">
                <?php
                  // Previous/next page navigation.
                  the_posts_pagination( array(
                    'prev_text'          => __( 'Previous page', 'multipurpose-corporate' ),
                    'next_text'          => __( 'Next page', 'multipurpose-corporate' ),
                    'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'multipurpose-corporate' ) . ' </span>',
                  ) );
                ?>
                <div class="clearfix"></div>
              </div>
            </div>
            <div class="col-lg-4 col-md-4"><?php get_sidebar(); ?></div>
          </div>
        <?php } ?>
    </div>
  </main>  
</div>

<?php do_action( 'multipurpose_corporate_index_footer' ); ?>

<?php get_footer(); ?>